# $Id: hping.spec,v 1.2 2002/11/21 10:18:57 homyakov Exp $

Name: hping
Version: 2.0.0
Release: alt1.rc2

%define srcname	 %{name}2

Summary: hping2 is a network tool able to send custom ICMP/UDP/TCP packets
Summary(ru_RU.KOI8-R):    ICMP/UDP/TCP 
License: GPL
Group: Security/Networking
Url: http://www.hping.org
Source: %name%version-rc1.tar.gz

Requires: libpcap

# Automatically added by buildreq on Wed Nov 20 2002
BuildRequires: libpcap-devel

%description
hping2 is a network tool able to send custom ICMP/UDP/TCP
packets and to display target replies like ping do with
ICMP replies. hping2 handle fragmentation, arbitrary packet
body and size and can be used in order to transfer files
under supported protocols. Using hping2 you are able at
least to perform the following jobs:

      - Test firewall rules
      - [spoofed] port scanning
      - Test net performance using differents protocols,
          packet size, TOS (type of service) and fragmentation.
      - Path MTU discovery
      - Files trasfering even between really fascist firewall rules.
      - Traceroute like under different protocols.
      - Firewalk like usage.
      - Remote OS fingerprint.
      - TCP/IP stack auditing.
      - A lot of others.

%description -l ru_RU.KOI8-R
hping2    ICMP/UDP/TCP , 
    ..     
       TCP/IP
  -    
  -  
  -   
  -    TCP/IP
  -     
  -   ...

%prep
%setup -q -n %srcname

%build
%configure --force-libpcap

%make_build

%install
install -m755 -D %srcname        %buildroot%_sbindir/%srcname
install -m644 -D docs/%srcname.8 %buildroot%_man8dir/%srcname.8

pushd %buildroot%_sbindir/
     ln -sf %srcname %name
popd

pushd %buildroot%_man8dir/
     ln -sf %srcname.8 %name.8
popd

%files
%_sbindir/*
%_mandir/man8/*
%doc README INSTALL AUTHORS BUGS CHANGES KNOWN-BUGS MIRRORS NEWS TODO docs/
%doc docs/ utils/

%changelog
* Wed Nov 20 2002 Igor Homyakov <homyakov at altlinux dot ru> 2.0.0-alt1.rc2
- rc2 

* Thu Feb 28 2002 Igor Homyakov <homyakov@altlinux.ru> 2.0.0-alt1.rc1
- Build package for ALTLinux

